SystemOrganization addCategory: #'SourceCity-Test-Importer'!

TestCase subclass: #SourceCityImporterTest
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'SourceCity-Test-Importer'!

TestCase subclass: #SourceCityRPackageImporterTest
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'SourceCity-Test-Importer'!

!SourceCityRPackageImporterTest methodsFor: 'tests' stamp: 'DouailleErwan 6/28/2012 15:20'!
testImportClassAsBuilding
	"self debug: #testImportClassAsBuilding"
	
	| cimport |
	cimport := SourceCityRPackageImporter
		title: 'test' 
		cityDistrict: #('AST-Core') 
		buildingHeightNormalizer: #ln
		buildingWidthNormalizer: #ln
		buildingHeightSelector: #selectors 
		buildingWidthSelector: #selectors.
		
	self assert: cimport city districts size = cimport numberOfDistrict .
	self assert: (cimport city hasDistrictNamed: #'AST-Core').
	self assert: ((cimport city districts at: 1)buildings at:1) model = CompiledMethod.
	self assert: ((cimport city districts at: 1)buildings at:2) model = Behavior.
	
	! !

!SourceCityRPackageImporterTest methodsFor: 'tests' stamp: 'DouailleErwan 6/28/2012 15:12'!
testImportPackageAsDistrict
	"self debug: #testImportPackageAsDistrict"
	
	| cimport |
	cimport := SourceCityRPackageImporter
		title: 'test' 
		cityDistrict: #('AST-Core') 
		buildingHeightNormalizer: #ln
		buildingWidthNormalizer: #ln
		buildingHeightSelector: #selectors 
		buildingWidthSelector: #selectors.
		
	self assert: cimport city districts size = cimport numberOfDistrict .
	self assert: (cimport city hasDistrictNamed: #'AST-Core').
	! !

!SourceCityRPackageImporterTest methodsFor: 'tests' stamp: 'DouailleErwan 6/28/2012 15:18'!
testImportPackageAsDistrictNoDuplicate
	"self debug: #testImportPackageAsDistrictNoDuplicate"
	
	| cimport |
	cimport := SourceCityRPackageImporter
		title: 'test' 
		cityDistrict: #('AST-Core' 'AST-Core') 
		buildingHeightNormalizer: #ln
		buildingWidthNormalizer: #ln
		buildingHeightSelector: #selectors 
		buildingWidthSelector: #selectors.
		
	self assert: cimport city districts size = cimport numberOfDistrict .
	self assert: (cimport city hasDistrictNamed: #'AST-Core').
	! !
